Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.shared
Class CannotEncodeCharacterException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.hp.hpl.jena.shared.JenaException
                      com.hp.hpl.jena.shared.CannotEncodeCharacterException

All Implemented Interfaces:
  java.io.Serializable

    public class CannotEncodeCharacterException

extends JenaException

Exception to throw when a character cannot be encoded into some context for some reason.

Author:
  kers
See Also:
  Serialized Form

Constructor Summary
`CannotEncodeCharacterException(char badChar, java.lang.String encodingContext)`

Method Summary
`char` | `getBadChar()` Answer the character that could not be encoded.
`java.lang.String` | `getEncodingContext()` Answer the name of the context in which the encoding failed.

Methods inherited from class com.hp.hpl.jena.shared.JenaException
`getCause, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CannotEncodeCharacterException

    public CannotEncodeCharacterException(char badChar,
                                          java.lang.String encodingContext)

Method Detail

### getBadChar

    public char getBadChar()

  Answer the character that could not be encoded.

### getEncodingContext

    public java.lang.String getEncodingContext()

  Answer the name of the context in which the encoding failed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP